Subject: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Dec 2021 21:07:51 +0200

> From: "Christopher M. Miles" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 18 Dec 2021 00:52:40 +0800
> 
> > And after you press RET on one of the file names in the ZIP archive,
> > do you see any pertinent messages in the *Messages* buffer?
> 
> I got following error in *Messages* buffer:
> 
> #+begin_example
> caution: filename not matched:  \·\¥\°\Ÿ1-3\ -\ \”\º\¾\·\‡\ -\ 1.jpg

Yes, that's what I see here as well.  And that is the root cause of
the problem, AFAIU.

> Is there a method to solve this problem? How to know the filename coding? And how to let Emacs auto
> decide which coding for filename?

I think utf-8 is the right encoding of the file names, but the unzip
program and/or its interaction with Emacs doesn't work well.  Does
your unzip program support UTF-8 encoded file names?  What happens if
you extract the files from the archive using that unzip program?